/*
 * PiePlot.java
 *
 * Created on 16 agosto 2005, 10.19
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package it.businesslogic.ireport.chart;

/**
 *
 * @author Administrator
 */
public class Pie3DPlot extends Plot{
    
    private double depthFactor = 0.2;
    
    /** Creates a new instance of PiePlot */
    public Pie3DPlot() {
        
    }

    public double getDepthFactor() {
        return depthFactor;
    }

    public void setDepthFactor(double depthFactor) {
        this.depthFactor = depthFactor;
    }
    
    public Plot cloneMe()
    {
        Pie3DPlot obj = new Pie3DPlot();
        copyBasePlot(obj);
        obj.setDepthFactor( this.getDepthFactor());
       
        return obj;
    }
    
}
